## libtioga-ruby 1.13

=== debian/changelog ===
libtioga-ruby (1.13-3) unstable; urgency=low

  * Upload to unstable, we've got a whole new distribution to break ;-) !
  * Fix the section of tioga to 'graphics', as in the archive

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 06 Feb 2011 10:25:06 +0100

libtioga-ruby (1.13-2) experimental; urgency=low

  * Rename tioga as tioga-1.8 and tioga-1.9.1 to avoid conflicts
  * Use alternatives to provide /usr/bin/tioga and the corresponding man
    page
  * Drop recommends on rdoc + move irb to suggests

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 24 Jan 2011 21:36:06 +0100

libtioga-ruby (1.13-1) experimental; urgency=low

  * New upstream release
  * Already conforms to standards 3.9.1
  * Switched to using cdbs/ruby-setup-rb.mk now that upstream build 
    system relies on setup.rb
  * Remove all patches, not necessary anymore, along with references to dpatch
  * Switch to format 3.0 (quilt)
  * Remove the -examples package: there is no need to split the examples 
    out of the documentation.
  * Bump debhelper compatibility to 7
  * Include images in the generated documentation
  * Do not use dh_rdoc as the generated graphs are simply useless (in the
    case of Tioga)
  * Profit from cdbs/ruby-setup-rb.mk to also build for Ruby 1.9.1

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 24 Jan 2011 20:22:35 +0100

libtioga-ruby (1.11-1) unstable; urgency=low

  * New upstream release
  * Changed the Homepage to something more appropriate
  * Already conforms to standards 3.8.2

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 19 Jul 2009 02:19:27 +0200

libtioga-ruby (1.10-1) unstable; urgency=low

  * New upstream release
  * Moved to Section: ruby
  * Install the tioga.sty style file into the documentation package. No
    integration with texlive is performed, however.
  * Few debian/rules cleanups
  * Already conforms to standards 3.8.1
  * Bumped debhelper compatibility level to 5

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 30 Mar 2009 19:40:38 +0200

libtioga-ruby (1.9-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Added a debian/README.source, to document the patching system used and
    also to state that, even if zlib sources are now included in
    upstream's tarballs, they are not used on Debian systems
  * Now conforms to standards 3.8.0
  * Adding ${misc:Depends} to all packages

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 21 Feb 2009 20:03:00 +0100

libtioga-ruby (1.8-1) unstable; urgency=low

  * New upstream release
  * Added long-forgotten Vcs fields
  * Switched to a machine-readable form for debian/copyright 
    (killing lintian's copyright-without-copyright-notice warning 
    in the process)

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 06 Apr 2008 13:46:50 +0200

libtioga-ruby (1.7-1) unstable; urgency=low

  * Using new Hompage field
  * New upstream release
  * Already conforms to 3.7.3

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 08 Feb 2008 00:14:58 +0100

libtioga-ruby (1.6-2) unstable; urgency=low

  * Better cleanup, should now dpkg-build twice in a row (closes: #442655)

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 16 Sep 2007 21:19:11 +0200

libtioga-ruby (1.6-1) unstable; urgency=low

  [ Paul van Tilburg ]
  * Added team address, since this package is team-maintained!

  [ Vincent Fourmond ]
  * New upstream release

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 03 Jun 2007 21:11:47 +0200

libtioga-ruby (1.5-1) unstable; urgency=low

  * New upstream release (Closes: #418190)
  * Added rdoc documentation
  * Added a (rudimentary) manpage for the tioga script

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 14 Apr 2007 23:00:18 +0200

libtioga-ruby (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Disable 02-extconf.rb (fixed upstream)
  * Fix yet again another typo in description (Closes: #399128)
  * Changed source name to reflect ruby policy
  * Added ruby-pkg-tools, switched to my new debian address
  * Better watchfile (doesn't pickup samples and pre-releases)

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 16 Mar 2007 10:40:23 +0100

tioga (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.7.2 (no changes required)
  * Renamed the binary package to libtioga-ruby1.8 to follow ruby conventions
  * Provided tioga transition package and libtioga-ruby ruby-version independant
    package
  * Now using dpatch to manage changes to upstream.
  * Description improved (Closes: #352746, #354702), thanks to Martin Schulze
  * Provide a libtioga-ruby-examples package.
  * Tweaking extconf.rb to disable by default the installation of include files

 -- Vincent Fourmond <vincent.fourmond@9online.fr>  Wed,  4 Oct 2006 20:54:50 +0200

tioga (1.0.L-1) unstable; urgency=low

  * New upstream release (few bug fixes, few more features).
  * Second upload to debian (Closes: #346373) (the first wasn't seen by the BTS...)
  * Fix debian/control to Build-Depend on ruby1.8 (Closes: #352309)

 -- Vincent Fourmond <vincent.fourmond@9online.fr>  Sat, 11 Feb 2006 14:33:18 +0100

tioga (1.0.I-2) unstable; urgency=low

  * Fixed a small mistake in debian/rules

 -- Vincent Fourmond <vincent.fourmond@9online.fr>  Tue, 24 Jan 2006 19:15:58 +0100

tioga (1.0.I-1) unstable; urgency=low

  * New upstream release, fixes a bug in show_marker;
  * Fixed the installation path;
  * Provided an archive for samples/
  * Added some small documentation for samples/ plus sine.rb (my own example).
  * First upload to debian (Closes: #346373)

 -- Vincent Fourmond <vincent.fourmond@9online.fr>  Sun,  8 Jan 2006 00:22:51 +0100

tioga (1.0.H-1) unstable; urgency=low

  * Initial packaging.

 -- Vincent Fourmond <vincent.fourmond@9online.fr>  Wed,  4 Jan 2006 21:11:29 +0100
