=== debian/control ===
Source: libtioga-ruby
Section: ruby
Priority: optional
Maintainer: Vincent Fourmond <fourmond@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0), ruby1.8-dev, ruby1.8, zlib1g-dev,
 ruby-pkg-tools, rdoc1.8, libfftw3-dev, cdbs, ruby1.9.1, ruby1.9.1-dev
Standards-Version: 3.9.1
Homepage: http://tioga.rubyforge.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/libtioga-ruby/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/libtioga-ruby/


Package: tioga
Architecture: all
Section: graphics
Depends: libtioga-ruby, ${misc:Depends}
Description: Ruby library for scientific graphs [transition package]
 Tioga is a blend of PDF, pdfTex and ruby into a library to make
 scientific graphs of high quality. It is fairly complete and 
 extensive, and comes with examples and (online) complete documentation.
 .
 Tioga is useful for scripting the generation of graphs, and comes 
 with a configuration file for irb for interactive plotting of pictures.
 .
 This package is provided for a smooth transition and can be safely
 removed once libtioga-ruby has been installed.

Package: libtioga-ruby1.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby1.8, 
 texlive-latex-base | tetex-bin
Replaces: tioga
Suggests: libtioga-ruby-doc, xpdf | pdf-viewer, irb1.8
Description: Ruby library for scientific graphs
 Tioga is a blend of PDF, pdfTex and ruby into a library to make
 scientific graphs of high quality. It is fairly complete and 
 extensive, and comes with examples and (online) complete documentation.
 .
 Tioga is useful for scripting the generation of graphs, and comes 
 with a configuration file for irb for interactive plotting of pictures.
 .
 A PDF viewer is strongly recommended if you want to make use of the
 tioga script, a wrapper around some of the library functionalities.
 .
 This package contains tioga compiled for Ruby 1.8

Package: libtioga-ruby1.9.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby1.9.1, 
 texlive-latex-base | tetex-bin
Replaces: tioga
Suggests: libtioga-ruby-doc, xpdf | pdf-viewer, irb1.9.1
Description: Ruby library for scientific graphs
 Tioga is a blend of PDF, pdfTex and ruby into a library to make
 scientific graphs of high quality. It is fairly complete and 
 extensive, and comes with examples and (online) complete documentation.
 .
 Tioga is useful for scripting the generation of graphs, and comes 
 with a configuration file for irb for interactive plotting of pictures.
 .
 A PDF viewer is strongly recommended if you want to make use of the
 tioga script, a wrapper around some of the library functionalities.
 .
 This package contains tioga compiled for Ruby 1.9.1 (and above)

Package: libtioga-ruby
Architecture: all
Depends: libtioga-ruby1.8, ${misc:Depends}
Suggests: libtioga-ruby-doc
Replaces: tioga
Description: Ruby library for scientific graphs
 Tioga is a blend of PDF, pdfTex and ruby into a library to make
 scientific graphs of high quality. It is fairly complete and 
 extensive, and comes with examples and (online) complete documentation.
 .
 Tioga is useful for scripting the generation of graphs, and comes 
 with a configuration file for irb for interactive plotting of pictures.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently 1.8.x).

Package: libtioga-ruby-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Recommends: libtioga-ruby, irb
Description: Ruby library for scientific graphs
 Tioga is a blend of PDF, pdfTex and ruby into a library to make
 scientific graphs of high quality. It is fairly complete and 
 extensive, and comes with examples and (online) complete documentation.
 .
 Tioga is useful for scripting the generation of graphs, and comes 
 with a configuration file for irb for interactive plotting of pictures.
 .
 This package provides the rdoc documentation generated from tioga's
 source. It includes a complete API reference and a fairly extensive
 tutorial.
