=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-setup-rb.mk

binary-install/libtioga-ruby-doc::
	rdoc --all --inline-source --line-numbers --fmt=html -o rdoc-tmp
	dh_install -plibtioga-ruby-doc rdoc-tmp/\* usr/share/doc/libtioga-ruby-doc/rdoc/
	rm -rf rdoc-tmp
	dh_install -plibtioga-ruby-doc images usr/share/doc/libtioga-ruby-doc/rdoc/

bin_renames = tioga irb_tioga
# rename tioga versions
binary-install/libtioga-ruby1.8::
	for f in $(bin_renames); do \
		mv debian/libtioga-ruby1.8/usr/bin/$$f debian/libtioga-ruby1.8/usr/bin/$$f-1.8; \
	done

binary-install/libtioga-ruby1.9.1::
	for f in $(bin_renames); do \
		mv debian/libtioga-ruby1.9.1/usr/bin/$$f debian/libtioga-ruby1.9.1/usr/bin/$$f-1.9.1; \
	done
